Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching.sourcelookup.containers
Class JavaSourceLookupParticipant

    java.lang.Object
      org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
          org.eclipse.jdt.launching.sourcelookup.containers.JavaSourceLookupParticipant

All Implemented Interfaces:
  ISourceLookupParticipant

public class JavaSourceLookupParticipant
extends AbstractSourceLookupParticipant

A source lookup participant that searches for Java source code.

This class may be instantiated; this class is not intended to be subclassed.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
`EMPTY`

Constructor Summary
`JavaSourceLookupParticipant()`

Method Summary
`void` | `dispose()`
`protected ISourceContainer` | `getDelegateContainer(ISourceContainer container)`
`String` | `getSourceName(Object object)` Returns the source name associated with the given object, or `null` if none.
`void` | `init(ISourceLookupDirector director)`
`void` | `sourceContainersChanged(ISourceLookupDirector director)`

Methods inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
`findSourceElements, getDirector, getSourceContainers, isFindDuplicates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSourceLookupParticipant

    public JavaSourceLookupParticipant()

Method Detail

### getSourceName

    public String getSourceName(Object object)
                         throws CoreException

  Returns the source name associated with the given object, or `null` if none.

  Parameters:
    `object` - a Java stack frame
  Returns:
    the source name associated with the given object, or `null` if none
  Throws:
    `CoreException` - if unable to retrieve the source name

### dispose

    public void dispose()

### getDelegateContainer

    protected ISourceContainer getDelegateContainer(ISourceContainer container)

### init

    public void init(ISourceLookupDirector director)

### sourceContainersChanged

    public void sourceContainersChanged(ISourceLookupDirector director)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.